package com.zt.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zt.dto.LoginDto;
import com.zt.enums.CodeEnums;
import com.zt.pojo.UserLogin;
import com.zt.service.UserLoginService;
import com.zt.mapper.UserLoginMapper;
import com.zt.utils.AppJwtUtil;
import com.zt.vo.Result;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
* @author H
* @description 针对表【user_login】的数据库操作Service实现
* @createDate 2025-05-10 10:15:59
*/
@Service
public class UserLoginServiceImpl extends ServiceImpl<UserLoginMapper, UserLogin>
    implements UserLoginService{

    @Override
    public Result login(LoginDto loginDto) {
        QueryWrapper<UserLogin> queryWrapper=new QueryWrapper<>();
        queryWrapper.lambda().eq(UserLogin::getUsername,loginDto.getUsername());
        UserLogin one = this.getOne(queryWrapper);
        if (one==null || !one.getPassword().equals(loginDto.getPassword())){
            return Result.error(CodeEnums.WRONG_USERNAME_OR_PASSWORD);
        }
        Map<String,Object> map=new HashMap<>();
        String token = AppJwtUtil.getToken(one.getId());
        map.put("token",token);
        return Result.ok(CodeEnums.EXECUTION_SUCCESSFUL,map);
    }
}




